> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepmako.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Check

> Returns model status and uptime.



## OpenAPI

````yaml GET /health
openapi: 3.0.3
info:
  title: Mako API
  description: >-
    OpenAI-compatible API with autonomous tool orchestration for on-chain data,
    web search, and more.
  version: 1.0.0
  contact:
    name: DeepMako
    url: https://deepmako.com
servers:
  - url: https://gateway.deepmako.com
    description: Production
security:
  - walletAddress: []
    bearerAuth: []
paths:
  /health:
    get:
      tags:
        - Endpoints
      summary: Health Check
      description: Returns model status and uptime.
      operationId: healthCheck
      responses:
        '200':
          description: Health status
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ok
                  uptime:
                    type: number
                    example: 3600
                  model:
                    type: string
                    example: mako-32b-conductor
components:
  securitySchemes:
    walletAddress:
      type: apiKey
      in: header
      name: x-wallet-address
      description: Your EVM wallet address for authentication and credit tracking.
    bearerAuth:
      type: http
      scheme: bearer
      description: API key obtained from the gateway. Not required in free mode.

````